aboutsummaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2014-10-16 07:17:17 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2014-10-16 07:17:17 +0000
commita0425dfd7f2906e50c7ff5c2ca1d1d5715166653 (patch)
tree713dd98d75fd0cf8a072463993cee34e3d39df6d /main
parent144f3e3bec50b6224207c067cfeaea8f019de4be (diff)
downloadaports-a0425dfd7f2906e50c7ff5c2ca1d1d5715166653.tar.gz
aports-a0425dfd7f2906e50c7ff5c2ca1d1d5715166653.tar.bz2
aports-a0425dfd7f2906e50c7ff5c2ca1d1d5715166653.tar.xz
main/perl-probe-perl: upgrade to 0.03
Diffstat (limited to 'main')
-rw-r--r--main/perl-probe-perl/APKBUILD12
1 files changed, 7 insertions, 5 deletions
diff --git a/main/perl-probe-perl/APKBUILD b/main/perl-probe-perl/APKBUILD
index 0528aa921d..7c9c9ae685 100644
--- a/main/perl-probe-perl/APKBUILD
+++ b/main/perl-probe-perl/APKBUILD
@@ -3,7 +3,7 @@
# Maintainer: Francesco Colista <francesco.colista@gmail.com>
pkgname=perl-probe-perl
_pkgreal=Probe-Perl
-pkgver=0.01
+pkgver=0.03
pkgrel=0
pkgdesc="Information about the currently running perl"
url="http://search.cpan.org/dist/Probe-Perl/"
@@ -20,19 +20,21 @@ _builddir="$srcdir/$_pkgreal-$pkgver"
prepare() {
cd "$_builddir"
- perl Build.PL installdirs=vendor || return 1
+ perl Makefile.PL INSTALLDIRS=vendor || return 1
}
build() {
cd "$_builddir"
export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
- ./Build && ./Build test
+ make && make test
}
package() {
cd "$_builddir"
- ./Build install destdir="$pkgdir" || return 1
+ make install DESTDIR="$pkgdir" || return 1
find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
}
-md5sums="b6f613a7d07dde568a0d4b9570de47c3 Probe-Perl-0.01.tar.gz"
+md5sums="8876e1b99c531800a86b383702e0ab73 Probe-Perl-0.03.tar.gz"
+sha256sums="d9e4d21e2e77638559045fa09046b1b6fff6c403b949929db213e30abe8a3c31 Probe-Perl-0.03.tar.gz"
+sha512sums="739bdb9d1a74eb77ab885a5aca861a1915cadbb1002bb4cb0d21fc6940ae6b3aa64ee52951ac8b2dca41c9e8fe188e17ae5f3c848c4a1caaf66fec5d25bef49c Probe-Perl-0.03.tar.gz"